# 获取所有资产信息

### **1. 接口调用：**

&#x20;`https://{host}/open/api/getAssets`

### **2. 请求参数**

> **除公共参数外，无额外参数**

### 3.请求参数示例

```
 {
     "channelId":"zml-test",
     "sign":"102027D292DD0707E0D899459D91C759858D7367D223CB239A8EC3A90C30B122",
     "timestamp":1557653925555
 }
```

### 4.Postman示例

![](/files/s3ufovjFOBLZg3ZGONsq)

### 5.返回结果示例

```
 {
    "data": {
        "balance": [
            {
                "avaliableNum": "29363.143631",
                "currencyAddress": "0x58b39021e563897f5abbf10917940b288f2f0f9c",
                "currencyType": "SWFTC",
                "equivalentUSDT": "81.54",
                "freezeNum": "0",
                "freezeNumUSDT": "0",
                "totalNum": "0",
                "userNo": "mpro@vip.qq.com"
            },
            {
                "avaliableNum": "0",
                "currencyAddress": "36WJxdd254UJYJzbCbpwZmxbSYqkM6quCq",
                "currencyType": "BTC",
                "equivalentUSDT": "0",
                "freezeNum": "0",
                "freezeNumUSDT": "0",
                "totalNum": "0",
                "userNo": "mpro@vip.qq.com"
            },           
            {
                "avaliableNum": "-0.46",
                "currencyAddress": "0x58b39021e563897f5abbf10917940b288f2f0f9c",
                "currencyType": "ETH",
                "equivalentUSDT": "-81.47",
                "freezeNum": "0",
                "freezeNumUSDT": "0",
                "totalNum": "0",
                "userNo": "mpro@vip.qq.com"
            },
            ...
        ],
        "equivalentBTC": "0.00001033",
        "equivalentSWFTC": "25.65549112",
        "equivalentUSDT": "0.07124658",
        "tender": null
    },
    "resCode": "800",
    "resMsg": "成功"
}
```

### 6.返回参数说明

> 注意事项：当可用余额为负数时，即该币种目前亏欠SWFT，当亏欠数量和用户所兑换数量之差超过抵押币数量时，则不能再进行兑换

|                  |      |                 |        |      |     |                        |
| ---------------- | ---- | --------------- | ------ | ---- | --- | ---------------------- |
| 字段名称             | 是否数组 | 字段              | 数据类型   | 数据长度 | 必须项 | 备注                     |
| 用户手机号/email      | Y    | userNo          | String | 50   | Y   | 用户手机号/email            |
| 币种               | Y    | currencyType    | String | 10   | Y   | eg:BTC、GOOC、SHE 等等     |
| 币种地址             | Y    | currencyAddress | String | 50   | Y   | 币种对应的地址                |
| 总数量（BTC、BCH、LTC） | Y    | totalNum        | String | 50   | Y   | BTC系列（BTC、BCH、LTC）所用字段 |
| 可用数量             | Y    | avaliableNum    | String | 50   | Y   | ETH系列（BTC、BCH、LTC）所用字段 |
| 冻结数量             | Y    | freezeNum       | String | 50   | Y   | 冻结余额（标量），如冻结余额是5，返回是 5 |
| 可用数量转换成usdt      | Y    | equivalentUSDT  | String | 50   | Y   | 单个币种折合                 |
| 冻结数量转换成usdt      | Y    | freezeNumUSDT   | String | 50   | Y   | 单个币种折合                 |
| 折合BTC的量          | N    | equivalentBTC   | String | 50   | Y   | 所有币种折合                 |
| 折合USDT的量         | N    | equivalentUSDT  | String | 50   | Y   | 所有币种折合                 |
| 折合SWFTC的量        | N    | equivalentSWFTC | String | 50   | Y   | 所有币种折合                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-swft.swft.pro/zhong-xin-hua-dui-huan-api-jie-kou/huo-qu-suo-you-zi-chan-xin-xi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
